set terminal postscript

set key off
set xlabel "hmotnost [g]"
set ylabel "prodlouzeni [10x um]"

#hookuv zakon a korekce na spravne jednotky.

f(x)=((4*x/1000*9.81*1.15)/(E*pi*0.000195**2))*100000

set output "hookz.ps"

fit f(x) "hook.txt" using 1:2 via E
plot f(x), "hook.txt" using 1:2

set output "hooko.ps"
fit f(x) "hook.txt" using 1:3 via E
plot f(x), "hook.txt" using 1:3

!ps2pdf hookz.ps
!ps2pdf hooko.ps


set output "pruhyb.ps"
set ylabel "pruhyb [mm]"
#f(x)=(-(x/1000*9.81*0.498**3))/(4*pi*0.000195**2))*100000
plot "hook.txt" using 1:2, "hook.txt" using 1:3
!ps2pdf pruhyb.ps

set output "torze.ps"
set ylabel "zkrut [°]"
plot "torze.txt" using 1:2, "torze.txt" using 1:3
!ps2pdf torze.ps




