set terminal postscript
set samples 200
set output "teplomer.ps"
set key off
set xlabel "t [ C]"
set ylabel "rozdil hladin [mm]"
set grid

f(x)=a*x

fit f(x) "teplomer.txt" using 1:2 via a

plot "teplomer.txt" using 1:2, f(x)

!ps2pdf teplomer.ps